Package org.eclipse.microprofile.rest.client.tck.sse

# Class MyEventSource

java.lang.Object
org.eclipse.microprofile.rest.client.tck.sse.MyEventSource

All Implemented Interfaces:
  `org.eclipse.jetty.servlets.EventSource`

public class MyEventSource extends Object implements org.eclipse.jetty.servlets.EventSource

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.jetty.servlets.EventSource

`org.eclipse.jetty.servlets.EventSource.Emitter`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`awaitClose(long timeout, TimeUnit unit)`
`void`
`close()`
`void`
`emitComment(String comment)`
`void`
`emitData(String data)`
`void`
`emitNamedEvent(String name, String data)`
`void`
`onClose()`
`void`
`onOpen(org.eclipse.jetty.servlets.EventSource.Emitter emitter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### onOpen

public void onOpen(org.eclipse.jetty.servlets.EventSource.Emitter emitter) throws IOException

Specified by:
  `onOpen` in interface `org.eclipse.jetty.servlets.EventSource`
Throws:
  `IOException`

### onClose

public void onClose()

Specified by:
  `onClose` in interface `org.eclipse.jetty.servlets.EventSource`

### emitData

public void emitData(String data)

### emitComment

public void emitComment(String comment)

### emitNamedEvent

public void emitNamedEvent(String name, String data)

### close

public void close()

### awaitClose

public boolean awaitClose(long timeout, TimeUnit unit)